package b4a.example.wee;


import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import anywheresoftware.b4a.debug.*;
import java.lang.ref.WeakReference;

public class main extends Activity implements B4AActivity{
	public static main mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	public static final boolean fullScreen = false;
	public static final boolean includeTitle = false;
    public static WeakReference<Activity> previousOne;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		if (isFirst) {
			processBA = new BA(this.getApplicationContext(), null, null, "b4a.example.wee", "b4a.example.wee.main");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
            
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                BA.LogInfo("Killing previous instance (main).");
				p.finish();
			}
		}
        processBA.runHook("oncreate", this, null);
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		mostCurrent = this;
        processBA.sharedProcessBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
        WaitForLayout wl = new WaitForLayout();
        if (anywheresoftware.b4a.objects.ServiceHelper.StarterHelper.startFromActivity(processBA, wl, true))
		    BA.handler.postDelayed(wl, 5);

	}
	static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent == null)
				return;
            
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
        if (this != mostCurrent)
			return;
		activityBA = new BA(this, layout, processBA, "b4a.example.wee", "b4a.example.wee.main");
        
        processBA.sharedProcessBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (BA.isShellModeRuntimeCheck(processBA)) {
			if (isFirst)
				processBA.raiseEvent2(null, true, "SHELL", false);
			processBA.raiseEvent2(null, true, "CREATE", true, "b4a.example.wee.main", processBA, activityBA, _activity, anywheresoftware.b4a.keywords.Common.Density, mostCurrent);
			_activity.reinitializeForShell(activityBA, "activity");
		}
        initializeProcessGlobals();		
        initializeGlobals();
        
        BA.LogInfo("** Activity (main) Create, isFirst = " + isFirst + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (this != mostCurrent)
			return;
        processBA.setActivityPaused(false);
        BA.LogInfo("** Activity (main) Resume **");
        processBA.raiseEvent(null, "activity_resume");
        if (android.os.Build.VERSION.SDK_INT >= 11) {
			try {
				android.app.Activity.class.getMethod("invalidateOptionsMenu").invoke(this,(Object[]) null);
			} catch (Exception e) {
				e.printStackTrace();
			}
		}

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
        try {
            if (processBA.subExists("activity_actionbarhomeclick")) {
                Class.forName("android.app.ActionBar").getMethod("setHomeButtonEnabled", boolean.class).invoke(
                    getClass().getMethod("getActionBar").invoke(this), true);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        if (processBA.runHook("oncreateoptionsmenu", this, new Object[] {menu}))
            return true;
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
            if (android.os.Build.VERSION.SDK_INT >= 11) {
				try {
                    if (bmi.addToBar) {
				        android.view.MenuItem.class.getMethod("setShowAsAction", int.class).invoke(mi, 1);
                    }
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
        
		return true;
	}   
 @Override
 public boolean onOptionsItemSelected(android.view.MenuItem item) {
    if (item.getItemId() == 16908332) {
        processBA.raiseEvent(null, "activity_actionbarhomeclick");
        return true;
    }
    else
        return super.onOptionsItemSelected(item); 
}
@Override
 public boolean onPrepareOptionsMenu(android.view.Menu menu) {
    super.onPrepareOptionsMenu(menu);
    processBA.runHook("onprepareoptionsmenu", this, new Object[] {menu});
    return true;
    
 }
 protected void onStart() {
    super.onStart();
    processBA.runHook("onstart", this, null);
}
 protected void onStop() {
    super.onStop();
    processBA.runHook("onstop", this, null);
}
    public void onWindowFocusChanged(boolean hasFocus) {
       super.onWindowFocusChanged(hasFocus);
       if (processBA.subExists("activity_windowfocuschanged"))
           processBA.raiseEvent2(null, true, "activity_windowfocuschanged", false, hasFocus);
    }
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEventFromUI(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return main.class;
	}
    private Boolean onKeySubExist = null;
    private Boolean onKeyUpSubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
        if (processBA.runHook("onkeydown", this, new Object[] {keyCode, event}))
            return true;
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK &&
					android.os.Build.VERSION.SDK_INT >= 18) {
				HandleKeyDelayed hk = new HandleKeyDelayed();
				hk.kc = keyCode;
				BA.handler.post(hk);
				return true;
			}
			else {
				boolean res = new HandleKeyDelayed().runDirectly(keyCode);
				if (res)
					return true;
			}
		}
		return super.onKeyDown(keyCode, event);
	}
	private class HandleKeyDelayed implements Runnable {
		int kc;
		public void run() {
			runDirectly(kc);
		}
		public boolean runDirectly(int keyCode) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true) {
                return true;
            }
            else if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK) {
				finish();
				return true;
			}
            return false;
		}
		
	}
    @Override
	public boolean onKeyUp(int keyCode, android.view.KeyEvent event) {
        if (processBA.runHook("onkeyup", this, new Object[] {keyCode, event}))
            return true;
		if (onKeyUpSubExist == null)
			onKeyUpSubExist = processBA.subExists("activity_keyup");
		if (onKeyUpSubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keyup", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyUp(keyCode, event);
	}
	@Override
	public void onNewIntent(android.content.Intent intent) {
        super.onNewIntent(intent);
		this.setIntent(intent);
        processBA.runHook("onnewintent", this, new Object[] {intent});
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null) //workaround for emulator bug (Issue 2423)
            return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        BA.LogInfo("** Activity (main) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
        processBA.raiseEvent2(_activity, true, "activity_pause", false, activityBA.activity.isFinishing());		
        processBA.setActivityPaused(true);
        mostCurrent = null;
        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        processBA.runHook("onpause", this, null);
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
        processBA.runHook("ondestroy", this, null);
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
        processBA.runHook("onresume", this, null);
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
			if (mostCurrent == null || mostCurrent != activity.get())
				return;
			processBA.setActivityPaused(false);
            BA.LogInfo("** Activity (main) Resume **");
		    processBA.raiseEvent(mostCurrent._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
        processBA.runHook("onactivityresult", this, new Object[] {requestCode, resultCode});
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}
    public void onRequestPermissionsResult(int requestCode,
        String permissions[], int[] grantResults) {
        for (int i = 0;i < permissions.length;i++) {
            Object[] o = new Object[] {permissions[i], grantResults[i] == 0};
            processBA.raiseEventFromDifferentThread(null,null, 0, "activity_permissionresult", true, o);
        }
            
    }

public anywheresoftware.b4a.keywords.Common __c = null;
public static anywheresoftware.b4a.objects.Timer _v5 = null;
public de.donmanfred.MarkViewWrapper _mv1 = null;
public static int _v6 = 0;
public anywheresoftware.b4a.objects.ButtonWrapper _btfalse = null;
public anywheresoftware.b4a.objects.ButtonWrapper _bttrue = null;
public anywheresoftware.b4a.objects.LabelWrapper _lbcolor = null;
public anywheresoftware.b4a.objects.PanelWrapper _painelgame = null;
public anywheresoftware.b4a.objects.PanelWrapper _painelmenu = null;
public anywheresoftware.b4a.objects.ButtonWrapper _btgamestart = null;
public anywheresoftware.b4a.objects.ButtonWrapper _btranking = null;
public anywheresoftware.b4a.objects.ButtonWrapper _btlinguagem = null;
public anywheresoftware.b4a.objects.ButtonWrapper _btsair = null;
public anywheresoftware.b4a.objects.ButtonWrapper _btajuda = null;
public anywheresoftware.b4a.objects.ButtonWrapper _bt1perdeu = null;
public anywheresoftware.b4a.objects.LabelWrapper _lb1perdeu = null;
public anywheresoftware.b4a.objects.PanelWrapper _painelperdeu = null;
public anywheresoftware.b4a.phone.Phone.PhoneVibrate _vv2 = null;
public anywheresoftware.b4a.objects.LabelWrapper _lbpontos = null;
public static int _vv1 = 0;

public static boolean isAnyActivityVisible() {
    boolean vis = false;
vis = vis | (main.mostCurrent != null);
return vis;}
public static String  _activity_create(boolean _firsttime) throws Exception{
 //BA.debugLineNum = 44;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
 //BA.debugLineNum = 45;BA.debugLine="Activity.LoadLayout(\"Layout1\")";
mostCurrent._activity.LoadLayout("Layout1",mostCurrent.activityBA);
 //BA.debugLineNum = 46;BA.debugLine="t.Initialize(\"Timer\",40)";
_v5.Initialize(processBA,"Timer",(long) (40));
 //BA.debugLineNum = 47;BA.debugLine="End Sub";
return "";
}
public static boolean  _activity_keypress(int _keycode) throws Exception{
 //BA.debugLineNum = 234;BA.debugLine="Sub Activity_KeyPress(KeyCode As Int) As Boolean";
 //BA.debugLineNum = 236;BA.debugLine="If KeyCode = KeyCodes.KEYCODE_BACK Then";
if (_keycode==anywheresoftware.b4a.keywords.Common.KeyCodes.KEYCODE_BACK) { 
 //BA.debugLineNum = 237;BA.debugLine="Return True";
if (true) return anywheresoftware.b4a.keywords.Common.True;
 };
 //BA.debugLineNum = 240;BA.debugLine="If KeyCode = KeyCodes.KEYCODE_MENU Then";
if (_keycode==anywheresoftware.b4a.keywords.Common.KeyCodes.KEYCODE_MENU) { 
 //BA.debugLineNum = 241;BA.debugLine="Return True";
if (true) return anywheresoftware.b4a.keywords.Common.True;
 };
 //BA.debugLineNum = 245;BA.debugLine="Return False";
if (true) return anywheresoftware.b4a.keywords.Common.False;
 //BA.debugLineNum = 247;BA.debugLine="End Sub";
return false;
}
public static String  _activity_pause(boolean _userclosed) throws Exception{
 //BA.debugLineNum = 53;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
 //BA.debugLineNum = 54;BA.debugLine="End Sub";
return "";
}
public static String  _activity_resume() throws Exception{
 //BA.debugLineNum = 49;BA.debugLine="Sub Activity_Resume";
 //BA.debugLineNum = 51;BA.debugLine="End Sub";
return "";
}
public static String  _atualiza_cor() throws Exception{
 //BA.debugLineNum = 58;BA.debugLine="Sub atualiza_cor";
 //BA.debugLineNum = 59;BA.debugLine="active = 1";
_v6 = (int) (1);
 //BA.debugLineNum = 60;BA.debugLine="mv1.RingWidth = 12dip";
mostCurrent._mv1.setRingWidth((float) (anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (12))));
 //BA.debugLineNum = 61;BA.debugLine="mv1.RingColor = rndcolors";
mostCurrent._mv1.setRingColor(_v7());
 //BA.debugLineNum = 62;BA.debugLine="mv1.Color = Colors.White";
mostCurrent._mv1.setColor(anywheresoftware.b4a.keywords.Common.Colors.White);
 //BA.debugLineNum = 63;BA.debugLine="mv1.StrokeColors = Array As Int(Colors.Transparen";
mostCurrent._mv1.setStrokeColors(new int[]{anywheresoftware.b4a.keywords.Common.Colors.Transparent,anywheresoftware.b4a.keywords.Common.Colors.White});
 //BA.debugLineNum = 64;BA.debugLine="mv1.StrokeWidth = 12dip";
mostCurrent._mv1.setStrokeWidth((float) (anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (12))));
 //BA.debugLineNum = 65;BA.debugLine="mv1.Max = 100";
mostCurrent._mv1.setMax((int) (100));
 //BA.debugLineNum = 66;BA.debugLine="mv1.TextColor = rndcolors";
mostCurrent._mv1.setTextColor(_v7());
 //BA.debugLineNum = 67;BA.debugLine="mv1.TextSize = 0";
mostCurrent._mv1.setTextSize((float) (0));
 //BA.debugLineNum = 68;BA.debugLine="lbcolor.TextColor = rndcolors";
mostCurrent._lbcolor.setTextColor(_v7());
 //BA.debugLineNum = 69;BA.debugLine="lbcolor.Text = rndtextoscores";
mostCurrent._lbcolor.setText(BA.ObjectToCharSequence(_v0()));
 //BA.debugLineNum = 70;BA.debugLine="t.Enabled = True";
_v5.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 71;BA.debugLine="lbcolor.BringToFront";
mostCurrent._lbcolor.BringToFront();
 //BA.debugLineNum = 72;BA.debugLine="End Sub";
return "";
}
public static String  _bt1perdeu_click() throws Exception{
 //BA.debugLineNum = 203;BA.debugLine="Sub bt1perdeu_Click";
 //BA.debugLineNum = 204;BA.debugLine="painelperdeu.Visible = False";
mostCurrent._painelperdeu.setVisible(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 205;BA.debugLine="End Sub";
return "";
}
public static String  _btajuda_click() throws Exception{
 //BA.debugLineNum = 185;BA.debugLine="Sub btajuda_Click";
 //BA.debugLineNum = 186;BA.debugLine="End Sub";
return "";
}
public static String  _btfalse_click() throws Exception{
 //BA.debugLineNum = 96;BA.debugLine="Sub btfalse_Click";
 //BA.debugLineNum = 98;BA.debugLine="If confere_cor(mv1.RingColor) <> lbcolor.Text The";
if ((_confere_cor(mostCurrent._mv1.getRingColor())).equals(mostCurrent._lbcolor.getText()) == false) { 
 //BA.debugLineNum = 100;BA.debugLine="If Not(t.Interval < 5) Then t.Interval = t.Interv";
if (anywheresoftware.b4a.keywords.Common.Not(_v5.getInterval()<5)) { 
_v5.setInterval((long) (_v5.getInterval()-1));};
 //BA.debugLineNum = 101;BA.debugLine="pontos = pontos + 1";
_vv1 = (int) (_vv1+1);
 //BA.debugLineNum = 102;BA.debugLine="lbpontos.Text = pontos";
mostCurrent._lbpontos.setText(BA.ObjectToCharSequence(_vv1));
 //BA.debugLineNum = 103;BA.debugLine="atualiza_cor";
_atualiza_cor();
 }else {
 //BA.debugLineNum = 107;BA.debugLine="t.Enabled = False";
_v5.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 108;BA.debugLine="t.Interval = 45";
_v5.setInterval((long) (45));
 //BA.debugLineNum = 109;BA.debugLine="p.Vibrate(20)";
mostCurrent._vv2.Vibrate(processBA,(long) (20));
 //BA.debugLineNum = 110;BA.debugLine="lb1perdeu.Text = \"Game Over!\" &CRLF& \"Score: \" &";
mostCurrent._lb1perdeu.setText(BA.ObjectToCharSequence("Game Over!"+anywheresoftware.b4a.keywords.Common.CRLF+"Score: "+BA.NumberToString(_vv1)+anywheresoftware.b4a.keywords.Common.CRLF+anywheresoftware.b4a.keywords.Common.CRLF+"Do not be sad, show that you can be better than this."));
 //BA.debugLineNum = 111;BA.debugLine="painelperdeu.Visible = True 'AQUI ELE PERDEU A PA";
mostCurrent._painelperdeu.setVisible(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 112;BA.debugLine="painelgame.Visible = False  'LOGO APÓS ACABAR REM";
mostCurrent._painelgame.setVisible(anywheresoftware.b4a.keywords.Common.False);
 };
 //BA.debugLineNum = 114;BA.debugLine="End Sub";
return "";
}
public static String  _btgamestart_click() throws Exception{
 //BA.debugLineNum = 172;BA.debugLine="Sub btgamestart_Click";
 //BA.debugLineNum = 173;BA.debugLine="pontos = 0";
_vv1 = (int) (0);
 //BA.debugLineNum = 174;BA.debugLine="lbpontos.Text = pontos";
mostCurrent._lbpontos.setText(BA.ObjectToCharSequence(_vv1));
 //BA.debugLineNum = 175;BA.debugLine="painelgame.Visible = True";
mostCurrent._painelgame.setVisible(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 176;BA.debugLine="atualiza_cor";
_atualiza_cor();
 //BA.debugLineNum = 177;BA.debugLine="End Sub";
return "";
}
public static String  _btlinguagem_click() throws Exception{
 //BA.debugLineNum = 182;BA.debugLine="Sub btlinguagem_Click";
 //BA.debugLineNum = 183;BA.debugLine="End Sub";
return "";
}
public static String  _btranking_click() throws Exception{
 //BA.debugLineNum = 179;BA.debugLine="Sub btranking_Click";
 //BA.debugLineNum = 180;BA.debugLine="End Sub";
return "";
}
public static String  _btsair_click() throws Exception{
 //BA.debugLineNum = 188;BA.debugLine="Sub btsair_Click";
 //BA.debugLineNum = 189;BA.debugLine="ExitApplication";
anywheresoftware.b4a.keywords.Common.ExitApplication();
 //BA.debugLineNum = 190;BA.debugLine="End Sub";
return "";
}
public static String  _bttrue_click() throws Exception{
 //BA.debugLineNum = 116;BA.debugLine="Sub bttrue_Click";
 //BA.debugLineNum = 118;BA.debugLine="If confere_cor(mv1.RingColor) = lbcolor.Text Then";
if ((_confere_cor(mostCurrent._mv1.getRingColor())).equals(mostCurrent._lbcolor.getText())) { 
 //BA.debugLineNum = 120;BA.debugLine="If Not(t.Interval < 5) Then t.Interval = t.Interv";
if (anywheresoftware.b4a.keywords.Common.Not(_v5.getInterval()<5)) { 
_v5.setInterval((long) (_v5.getInterval()-1));};
 //BA.debugLineNum = 121;BA.debugLine="pontos = pontos + 1";
_vv1 = (int) (_vv1+1);
 //BA.debugLineNum = 122;BA.debugLine="lbpontos.Text = pontos";
mostCurrent._lbpontos.setText(BA.ObjectToCharSequence(_vv1));
 //BA.debugLineNum = 123;BA.debugLine="atualiza_cor";
_atualiza_cor();
 }else {
 //BA.debugLineNum = 128;BA.debugLine="t.Enabled = False";
_v5.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 129;BA.debugLine="t.Interval = 45";
_v5.setInterval((long) (45));
 //BA.debugLineNum = 130;BA.debugLine="p.Vibrate(20)";
mostCurrent._vv2.Vibrate(processBA,(long) (20));
 //BA.debugLineNum = 131;BA.debugLine="lb1perdeu.Text = \"Game Over!\" &CRLF& \"Score: \" &";
mostCurrent._lb1perdeu.setText(BA.ObjectToCharSequence("Game Over!"+anywheresoftware.b4a.keywords.Common.CRLF+"Score: "+BA.NumberToString(_vv1)+anywheresoftware.b4a.keywords.Common.CRLF+anywheresoftware.b4a.keywords.Common.CRLF+"Do not be sad, show that you can be better than this."));
 //BA.debugLineNum = 132;BA.debugLine="painelperdeu.Visible = True 'AQUI ELE PERDEU A PA";
mostCurrent._painelperdeu.setVisible(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 133;BA.debugLine="painelgame.Visible = False  'LOGO APÓS ACABAR REM";
mostCurrent._painelgame.setVisible(anywheresoftware.b4a.keywords.Common.False);
 };
 //BA.debugLineNum = 135;BA.debugLine="End Sub";
return "";
}
public static String  _confere_cor(int _cor) throws Exception{
String _s = "";
 //BA.debugLineNum = 152;BA.debugLine="Sub confere_cor(cor As Int) As String";
 //BA.debugLineNum = 153;BA.debugLine="Private s As String";
_s = "";
 //BA.debugLineNum = 154;BA.debugLine="If cor = Colors.Black Then s = \"BLACK\"";
if (_cor==anywheresoftware.b4a.keywords.Common.Colors.Black) { 
_s = "BLACK";};
 //BA.debugLineNum = 155;BA.debugLine="If cor = Colors.Blue Then s = \"BLUE\"";
if (_cor==anywheresoftware.b4a.keywords.Common.Colors.Blue) { 
_s = "BLUE";};
 //BA.debugLineNum = 156;BA.debugLine="If cor = Colors.Gray Then s = \"GRAY\"";
if (_cor==anywheresoftware.b4a.keywords.Common.Colors.Gray) { 
_s = "GRAY";};
 //BA.debugLineNum = 157;BA.debugLine="If cor = Colors.Green Then s = \"GREEN\"";
if (_cor==anywheresoftware.b4a.keywords.Common.Colors.Green) { 
_s = "GREEN";};
 //BA.debugLineNum = 158;BA.debugLine="If cor = Colors.Red Then s = \"RED\"";
if (_cor==anywheresoftware.b4a.keywords.Common.Colors.Red) { 
_s = "RED";};
 //BA.debugLineNum = 159;BA.debugLine="If cor = Colors.Yellow Then s = \"YELLOW\"";
if (_cor==anywheresoftware.b4a.keywords.Common.Colors.Yellow) { 
_s = "YELLOW";};
 //BA.debugLineNum = 160;BA.debugLine="Return s";
if (true) return _s;
 //BA.debugLineNum = 161;BA.debugLine="End Sub";
return "";
}
public static String  _globals() throws Exception{
 //BA.debugLineNum = 23;BA.debugLine="Sub Globals";
 //BA.debugLineNum = 24;BA.debugLine="Private mv1 As MarkView";
mostCurrent._mv1 = new de.donmanfred.MarkViewWrapper();
 //BA.debugLineNum = 25;BA.debugLine="Private active As Int = 1";
_v6 = (int) (1);
 //BA.debugLineNum = 26;BA.debugLine="Private btfalse As Button";
mostCurrent._btfalse = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 27;BA.debugLine="Private bttrue As Button";
mostCurrent._bttrue = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 28;BA.debugLine="Private lbcolor As Label";
mostCurrent._lbcolor = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 29;BA.debugLine="Private painelgame As Panel";
mostCurrent._painelgame = new anywheresoftware.b4a.objects.PanelWrapper();
 //BA.debugLineNum = 30;BA.debugLine="Private painelmenu As Panel";
mostCurrent._painelmenu = new anywheresoftware.b4a.objects.PanelWrapper();
 //BA.debugLineNum = 31;BA.debugLine="Private btgamestart As Button";
mostCurrent._btgamestart = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 32;BA.debugLine="Private btranking As Button";
mostCurrent._btranking = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 33;BA.debugLine="Private btlinguagem As Button";
mostCurrent._btlinguagem = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 34;BA.debugLine="Private btsair As Button";
mostCurrent._btsair = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 35;BA.debugLine="Private btajuda As Button";
mostCurrent._btajuda = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 36;BA.debugLine="Private bt1perdeu As Button";
mostCurrent._bt1perdeu = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 37;BA.debugLine="Private lb1perdeu As Label";
mostCurrent._lb1perdeu = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 38;BA.debugLine="Private painelperdeu As Panel";
mostCurrent._painelperdeu = new anywheresoftware.b4a.objects.PanelWrapper();
 //BA.debugLineNum = 39;BA.debugLine="Private p As PhoneVibrate";
mostCurrent._vv2 = new anywheresoftware.b4a.phone.Phone.PhoneVibrate();
 //BA.debugLineNum = 40;BA.debugLine="Private lbpontos As Label";
mostCurrent._lbpontos = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 41;BA.debugLine="Private pontos As Int";
_vv1 = 0;
 //BA.debugLineNum = 42;BA.debugLine="End Sub";
return "";
}
public static String  _painelgame_click() throws Exception{
 //BA.debugLineNum = 250;BA.debugLine="Sub painelgame_Click";
 //BA.debugLineNum = 251;BA.debugLine="End Sub";
return "";
}
public static String  _painelmenu_click() throws Exception{
 //BA.debugLineNum = 256;BA.debugLine="Sub painelmenu_Click";
 //BA.debugLineNum = 257;BA.debugLine="End Sub";
return "";
}
public static String  _painelperdeu_click() throws Exception{
 //BA.debugLineNum = 207;BA.debugLine="Sub painelperdeu_Click";
 //BA.debugLineNum = 208;BA.debugLine="End Sub";
return "";
}
public static String  _paineltutorial_click() throws Exception{
 //BA.debugLineNum = 253;BA.debugLine="Sub paineltutorial_Click";
 //BA.debugLineNum = 254;BA.debugLine="End Sub";
return "";
}
public static String  _perdeu_partida() throws Exception{
 //BA.debugLineNum = 137;BA.debugLine="Sub perdeu_partida";
 //BA.debugLineNum = 138;BA.debugLine="End Sub";
return "";
}

public static void initializeProcessGlobals() {
    
    if (main.processGlobalsRun == false) {
	    main.processGlobalsRun = true;
		try {
		        main._process_globals();
		
        } catch (Exception e) {
			throw new RuntimeException(e);
		}
    }
}public static String  _process_globals() throws Exception{
 //BA.debugLineNum = 19;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 20;BA.debugLine="Private t As Timer";
_v5 = new anywheresoftware.b4a.objects.Timer();
 //BA.debugLineNum = 21;BA.debugLine="End Sub";
return "";
}
public static int  _v7() throws Exception{
String[] _s = null;
 //BA.debugLineNum = 140;BA.debugLine="Sub rndcolors As Int";
 //BA.debugLineNum = 141;BA.debugLine="Dim s() As String";
_s = new String[(int) (0)];
java.util.Arrays.fill(_s,"");
 //BA.debugLineNum = 142;BA.debugLine="s = Array As String(Colors.Black,Colors.Blue,Color";
_s = new String[]{BA.NumberToString(anywheresoftware.b4a.keywords.Common.Colors.Black),BA.NumberToString(anywheresoftware.b4a.keywords.Common.Colors.Blue),BA.NumberToString(anywheresoftware.b4a.keywords.Common.Colors.Gray),BA.NumberToString(anywheresoftware.b4a.keywords.Common.Colors.Green),BA.NumberToString(anywheresoftware.b4a.keywords.Common.Colors.Red),BA.NumberToString(anywheresoftware.b4a.keywords.Common.Colors.Yellow)};
 //BA.debugLineNum = 143;BA.debugLine="Return s(Rnd(0,5))";
if (true) return (int)(Double.parseDouble(_s[anywheresoftware.b4a.keywords.Common.Rnd((int) (0),(int) (5))]));
 //BA.debugLineNum = 144;BA.debugLine="End Sub";
return 0;
}
public static String  _v0() throws Exception{
String[] _s = null;
 //BA.debugLineNum = 146;BA.debugLine="Sub rndtextoscores As String";
 //BA.debugLineNum = 147;BA.debugLine="Dim s() As String";
_s = new String[(int) (0)];
java.util.Arrays.fill(_s,"");
 //BA.debugLineNum = 148;BA.debugLine="s = Array As String(\"BLACK\",\"BLUE\",\"GRAY\", \"GREEN\"";
_s = new String[]{"BLACK","BLUE","GRAY","GREEN","RED","YELLOW"};
 //BA.debugLineNum = 149;BA.debugLine="Return s(Rnd(0,5))";
if (true) return _s[anywheresoftware.b4a.keywords.Common.Rnd((int) (0),(int) (5))];
 //BA.debugLineNum = 150;BA.debugLine="End Sub";
return "";
}
public static String  _timer_tick() throws Exception{
 //BA.debugLineNum = 80;BA.debugLine="Sub Timer_Tick";
 //BA.debugLineNum = 81;BA.debugLine="If active < mv1.Max Then";
if (_v6<mostCurrent._mv1.getMax()) { 
 //BA.debugLineNum = 82;BA.debugLine="active = active + 1";
_v6 = (int) (_v6+1);
 }else {
 //BA.debugLineNum = 85;BA.debugLine="t.Enabled = False";
_v5.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 86;BA.debugLine="t.Interval = 45";
_v5.setInterval((long) (45));
 //BA.debugLineNum = 87;BA.debugLine="p.Vibrate(20)";
mostCurrent._vv2.Vibrate(processBA,(long) (20));
 //BA.debugLineNum = 88;BA.debugLine="lb1perdeu.Text = \"Game Over!\" &CRLF& \"Score: \" &";
mostCurrent._lb1perdeu.setText(BA.ObjectToCharSequence("Game Over!"+anywheresoftware.b4a.keywords.Common.CRLF+"Score: "+BA.NumberToString(_vv1)+anywheresoftware.b4a.keywords.Common.CRLF+anywheresoftware.b4a.keywords.Common.CRLF+"Do not be sad, show that you can be better than this."));
 //BA.debugLineNum = 89;BA.debugLine="painelperdeu.Visible = True 'AQUI ELE PERDEU A PA";
mostCurrent._painelperdeu.setVisible(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 90;BA.debugLine="painelgame.Visible = False  'LOGO APÓS ACABAR REM";
mostCurrent._painelgame.setVisible(anywheresoftware.b4a.keywords.Common.False);
 };
 //BA.debugLineNum = 92;BA.debugLine="mv1.Mark = active";
mostCurrent._mv1.setMark(_v6);
 //BA.debugLineNum = 93;BA.debugLine="End Sub";
return "";
}
}
